Robot Framework-安裝 RIDE

RIDE 是 Robot Framework 的編輯器,安裝後,就可以用編輯器生成已編排好的 Test Case,就可以執行自動化程式囉。
安裝 RIDE 前需要安裝 wxPython,因為 RIDE 的介面有使用到 wxPython,因此需要安裝 wxPython 才能夠開啟 RIDE。
裝完 wxPython 後可以使用下方的指令來安裝 RIDE:

pip install robotframework-ride

easy_install robotframework-ride

開啟 RIDE 的方式為:

ride.py

後面可以接上想開啟的資料夾路徑,打開 RIDE 時就可以直接匯入此資料夾內的 Test Case 囉。

wxPython 記得要下載 2.8 或 2.9 的版本(可參考下面的參考網址點擊下載),3.0 的版本是沒有辦法開啟 RIDE 的,如果只下載 3.0 的版本,執行 RIDE 的時候就會跳出下列的提醒:
螢幕快照 2014-06-24 4.59.13 PM
解決的方式當然只能按照他說的,去他提供的下載位置,安裝 2.8 or 2.9 的 wxPython 囉。

再來在我成功開啟 RIDE 前,我還遇到了下方的提示:
螢幕快照 2014-06-24 5.01.18 PM
因為 RIDE 有限定要用 32-bit 的 python 執行,因此我們可以用下面的方式來避免掉這種開不了 RIDE 的問題:

export VERSIONER_PYTHON_PREFER_32_BIT=yes

到這邊基本上就可以開啟 RIDE 開發自動化測試囉,如果還有遇到什麼問題,歡迎提出來一起討論找答案!

參考網址:
RIDE 安裝教學
RIDE on Mac OSX
wxPython 下載位置
wxPython 官網

廣告

2 thoughts on “Robot Framework-安裝 RIDE

  1. If need to get the wxpython 2.8.12.1 version on mac i5 64 bits, which file is the right one to download? After download, how to install it? Thanks.

發表迴響

Please log in using one of these methods to post your comment:

WordPress.com Logo

您的留言將使用 WordPress.com 帳號。 登出 / 變更 )

Twitter picture

您的留言將使用 Twitter 帳號。 登出 / 變更 )

Facebook照片

您的留言將使用 Facebook 帳號。 登出 / 變更 )

Google+ photo

您的留言將使用 Google+ 帳號。 登出 / 變更 )

連結到 %s